Skip to main content
POST
/
reference
/
priority
Create or update a ticket priority
curl --request POST \
  --url https://thalamus.nerds.nl/api/v1/partner/reference/priority \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "new",
  "label": "Nieuw",
  "sort_order": 123,
  "status": "active"
}
'
import requests

url = "https://thalamus.nerds.nl/api/v1/partner/reference/priority"

payload = {
"id": "new",
"label": "Nieuw",
"sort_order": 123,
"status": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 'new', label: 'Nieuw', sort_order: 123, status: 'active'})
};

fetch('https://thalamus.nerds.nl/api/v1/partner/reference/priority', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "id": "<string>",
    "label": "<string>"
  },
  "message": "<string>"
}
{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"label": "<string>"
},
"message": "<string>"
}
{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Validation failed: body is required"
}
}
{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or revoked API key"
}
}

Authorizations

Authorization
string
header
required

Partner API key (e.g. nerds_live_a8f3d9k2m5n7p1q4r6t8v0w2x4y6z8)

Body

application/json

Used for priority and type endpoints. Set status to inactive to soft-delete a record.

id
string
required

ID from the source system (machine-readable identifier)

Example:

"new"

label
string
required

Human-readable display label

Example:

"Nieuw"

sort_order
integer | null
status
enum<string>
default:active

Set to inactive to soft-delete. GET endpoints only return active records.

Available options:
active,
inactive

Response

Priority updated

success
boolean
Example:

true

data
object
message
string